<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/layout_panel"
    android:layout_width="match_parent"
    android:layout_height="74dp"
    android:layout_gravity="bottom"
    android:background="@drawable/panel_bg"
    android:paddingStart="14dp"
    android:paddingEnd="14dp">

    <androidx.cardview.widget.CardView
        android:id="@+id/cardimage"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginStart="2dp"
        app:cardCornerRadius="200dp"
        app:cardElevation="0dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="52dp"
            android:layout_height="52dp"
            android:src="@mipmap/im_placeholder" />
    </androidx.cardview.widget.CardView>

    <com.hi.music.player.helper.CircularProgressBar
        android:id="@+id/circular_pb"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignStart="@id/cardimage"
        android:layout_alignTop="@id/cardimage"
        android:layout_alignEnd="@id/cardimage"
        android:layout_alignBottom="@id/cardimage"
        android:layout_gravity="center" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginStart="22dp"
        android:layout_toStartOf="@id/frame_play"
        android:layout_toEndOf="@id/image"
        android:orientation="vertical">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="1"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="14sp" />


        <TextView
            android:id="@+id/singer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="1"
            android:text="@string/app_name"
            android:textColor="@color/panel_singer_color"
            android:textSize="12sp" />
    </LinearLayout>

    <FrameLayout
        android:id="@+id/frame_play"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_centerVertical="true"
        android:layout_marginEnd="10dp"
        android:layout_toStartOf="@id/im_next"
        android:paddingStart="10dp"
        android:paddingEnd="10dp">

        <ImageView
            android:id="@+id/im_play"
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:layout_gravity="center"
            android:src="@drawable/selector_panel_icon_play" />
    </FrameLayout>

    <ImageView
        android:id="@+id/im_next"
        android:layout_width="40dp"
        android:layout_height="match_parent"
        android:layout_alignParentEnd="true"
        android:layout_centerVertical="true"
        android:layout_marginEnd="10dp"
        android:paddingStart="5dp"
        android:paddingEnd="5dp"
        android:src="@drawable/icon_next_black"
        android:visibility="visible" />

</RelativeLayout>